import { default as React } from 'react';
import { NavLinkProps } from 'react-router-dom';

/**
 * Main apps menu component.
 */
export declare function AppsMenu({ className, children, ...props }: React.HTMLAttributes<HTMLDivElement>): React.JSX.Element;
/**
 * Component of an app item in apps menu.
 */
export declare function AppItem({ className, children, ...props }: React.HTMLAttributes<HTMLAnchorElement>): React.JSX.Element;
/**
 * Component of an app link in apps menu.
 */
export declare function AppLink({ className, children, ...props }: NavLinkProps & React.HTMLAttributes<HTMLAnchorElement>): React.JSX.Element;
