import { default as React } from 'react';
import { Modify } from '../../Utils';
import { NavLinkProps } from 'react-router-dom';

/**
 * Submenu item properties.
 */
export type SubmenuItemProperties = React.PropsWithChildren<Modify<React.AnchorHTMLAttributes<HTMLAnchorElement>, {}>>;
/**
 * Main component of a submenu item.
 */
export declare const SubmenuItem: React.ForwardRefExoticComponent<Omit<React.AnchorHTMLAttributes<HTMLAnchorElement>, never> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLAnchorElement>>;
/**
 * A submenu item link properties.
 */
export type SubmenuLinkProperties = React.PropsWithChildren<Modify<NavLinkProps & React.AnchorHTMLAttributes<HTMLAnchorElement>, {}>>;
/**
 * A submenu item link.
 */
export declare const SubmenuLink: React.ForwardRefExoticComponent<Omit<NavLinkProps & React.AnchorHTMLAttributes<HTMLAnchorElement>, never> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLAnchorElement>>;
/**
 * A submenu item that open a submenu.
 */
export declare function SubmenuItemSubmenu({ submenu, className, children, ...props }: Modify<SubmenuItemProperties, {
    /**
     * The submenu content.
     */
    submenu: React.ReactNode;
}>): React.JSX.Element;
